<pf-question-title class="question-title"></pf-question-title>

<h1 class="question">{{ question.question }}</h1>

<div class="answers">
  <div class="answer"
       [class.nextSelected]="isNextItemSelected(answer)"
       [class.selected]="selectedAnswer === answer"
       *ngFor="let answer of question.answers; let i = index">
    <div class="line-container upper">
      <div class="line"></div>
      <div class="circle"></div>
    </div>
    <input type="radio"
           (input)="selectedAnswer = answer"
           [id]="generateId(answer)"
           [name]="question.question">
    <label [for]="generateId(answer)">
      <div class="answer-text">{{answer.text}}</div>
    </label>
    <div class="line-container lower">
      <div class="circle"></div>
      <div class="line"></div>
    </div>
  </div>
</div>

<pf-submit-button class="confirm"
                  [style.opacity]="selectedAnswer === undefined ? 0.3 : 1"
                  (click)="confirm()">
